package com.pcloud.book.group.vo;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

/**
 * @ClassName com.pcloud.book.group.vo.PcloudBookGroupClassifyVO
 * @Author guiq
 * @Description 平台获取群分类信息
 * @Date 2020/6/10 15:54
 * @Version 1.0
 **/
@ApiModel
@JsonInclude(JsonInclude.Include.NON_NULL)
public class PcloudBookGroupClassifyVO {
    @ApiModelProperty("群分类ID")
    private Integer id;
    @ApiModelProperty("群分类名称")
    private String classify;
    @ApiModelProperty("群分类介绍")
    private String classifyIntroduce;
    @ApiModelProperty("销售价")
    private BigDecimal price;
    @ApiModelProperty("群个数")
    private Integer groupCount;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getClassify() {
        return classify;
    }

    public void setClassify(String classify) {
        this.classify = classify;
    }

    public String getClassifyIntroduce() {
        return classifyIntroduce;
    }

    public void setClassifyIntroduce(String classifyIntroduce) {
        this.classifyIntroduce = classifyIntroduce;
    }

    public BigDecimal getPrice() {
        return price;
    }

    public void setPrice(BigDecimal price) {
        this.price = price;
    }

    public Integer getGroupCount() {
        return groupCount;
    }

    public void setGroupCount(Integer groupCount) {
        this.groupCount = groupCount;
    }

    @Override
    public String toString() {
        return "PcloudBookGroupClassifyVO{" +
                "id=" + id +
                ", classify='" + classify + '\'' +
                ", classifyIntroduce='" + classifyIntroduce + '\'' +
                ", price=" + price +
                ", groupCount=" + groupCount +
                '}';
    }
}
